INTERNAL (Java Platform SE 8 )
Keywords: org.omg.CORBA.INTERNAL class
Date: 2026-04-17

org.omg.CORBA

## Class INTERNAL

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.INTERNAL

- All Implemented Interfaces:
    Serializable

      public final class INTERNAL
      extends SystemException

  This exception indicates an internal failure in an ORB, for example, if an ORB has detected corruption of its internal data structures.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See the section meaning of minor codes to see the minor codes for this exception.

  Since:
    JDK1.2
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INTERNAL()` Constructs an `INTERNAL` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
    `INTERNAL(int minor, CompletionStatus completed)` Constructs an `INTERNAL` exception with the specified minor code and completion status.
    `INTERNAL(String s)` Constructs an `INTERNAL` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
    `INTERNAL(String s, int minor, CompletionStatus completed)` Constructs an `INTERNAL` exception with the specified detail message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### INTERNAL

          public INTERNAL()

      Constructs an `INTERNAL` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

    - #### INTERNAL

          public INTERNAL(String s)

      Constructs an `INTERNAL` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message

    - #### INTERNAL

          public INTERNAL(int minor,
                          CompletionStatus completed)

      Constructs an `INTERNAL` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - an instance of `CompletionStatus` that indicates the completion status of the method that threw this exception

    - #### INTERNAL

          public INTERNAL(String s,
                          int minor,
                          CompletionStatus completed)

      Constructs an `INTERNAL` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the String containing a detail message
        `minor` - the minor code
        `completed` - an instance of `CompletionStatus` that indicates the completion status of the method that threw this exception

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.